// pages/file-browse/file-browse.js
const util = require('../../utils/util.js');
Page({

    /**
     * 页面的初始数据
     */
    data: {
        current: 1,
        size: 10,
        total: 0,
        list: []
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        let that = this;
        util.get({
            url: '/api/notice/list',
            header: {
                'content-type': 'application/x-www-form-urlencoded'
            },
            data: {
                current: that.data.current,
                size: that.data.size
            },
            success: function (res) {
                wx.hideLoading();
                console.info(res);
                if (res.data.code != 200) {
                    util.toast(res.data.msg);
                } else {
                    let records = res.data.data.records;
                    for (let i in records) {
                        let content = records[i].content;
                        content = content.match(/[\u4e00-\u9fa5]/g).join("");
                        records[i].desc = content;
                    }
                    that.setData({
                        total: res.data.data.total,
                        list: records
                    });
                }
            }
        });

    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {
        let that = this;
        that.setData({
            current: 1,
            list: []
        });
        util.get({
            url: '/api/notice/list',
            data: {
                current: that.data.current,
                size: that.data.size
            },
            success: (res) => {
                wx.hideLoading();
                wx.stopPullDownRefresh();
                if (res.data.code != 200) {
                    util.toast(res.data.msg);
                } else {
                    let records = res.data.data.records;
                    for (let i in records) {
                        let content = records[i].content;
                        content = content.match(/[\u4e00-\u9fa5]/g).join("");
                        records[i].desc = content;
                    }
                    that.setData({
                        total: res.data.data.total,
                        list: records
                    });
                }
            }
        });
    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {
        let that = this;
        let arr = that.data.list;
        let page = that.data.current;
        if (arr.length >= that.data.total) {
            util.toast('没有更多数据了');
            return;
        }
        that.setData({
            current: ++page
        });
        util.get({
            url: '/api/notice/list',
            data: {
                current: that.data.current,
                size: that.data.size
            },
            success: (res) => {
                wx.hideLoading();
                wx.stopPullDownRefresh();
                console.info(res);
                if (res.data.code != 200) {
                    util.toast(res.data.msg);
                } else {
                    let records = res.data.data.records;
                    for (let i in records) {
                        let content = records[i].content;
                        content = content.match(/[\u4e00-\u9fa5]/g).join("");
                        records[i].desc = content;
                    }
                    that.setData({
                        list: arr.concat(records)
                    });
                }
            }
        });
    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    },

    /**
     * 查看文件详情
     * @param {*} e 
     */
    fileDetail: function (e) {
        let id = e.currentTarget.dataset.id;
        wx.navigateTo({
            url: '../file-detail/file-detail?id=' + id,
        });
    }
})